
%global debug_package	%{nil}
%global snapshot	1 

%if ! 0%{?gobuild:1}
%define gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**};
%endif

%global provider	github
%global provider_tld	com
%global project		prometheus
%global repo		promu
# github.com/prometheus/promu
%global provider_prefix	%{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path	%{provider_prefix}
%global commit		85ceabc50a0f1c0072304f694333062836c9f640
%global shortcommit	%(c=%{commit}; echo ${c:0:7})
%global build_gopath    %{_builddir}/%{repo}-%{shortcommit}-gopath

Name:		golang-%{provider}-%{project}-%{repo}
Version:	0
Release:	4.git%{shortcommit}%{?dist}
Summary:	Prometheus Utility Tool for building and releasing projects
License:	ASL 2.0
URL:		https://prometheus.io
Source0:	https://%{provider_prefix}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
Patch1: promu-do-not-force-static-linking.patch

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm} ppc64le s390x}
BuildRequires:	%{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

%description
%{summary}

%package -n %{project}-%{repo}
Summary:	%{summary}
Provides:	prometheus-promu = %{version}-%{release}

%description -n %{project}-%{repo}
%{summary}

%prep
%autosetup -p1 -n %{repo}-%{commit}

%build
mkdir -p %{build_gopath}/src/%{provider}.%{provider_tld}/%{project}
ln -s ../../../../%{repo}-%{commit} %{build_gopath}/src/%{import_path}

# Ensure the default GOBIN is used ${GOPATH}/bin
unset GOBIN
export GOPATH=%{build_gopath}
export LDFLAGS='-s -w'
%gobuild %{import_path}

%install
install -d %{buildroot}%{_bindir}
install -D -p -m 0755 %{_builddir}/%{repo}-%{commit}/promu %{buildroot}/%{_bindir}/promu

%files
%license LICENSE NOTICE
%doc CONTRIBUTING.md MAINTAINERS.md README.md
%{_bindir}/promu

%files -n %{project}-%{repo}
%license LICENSE NOTICE
%doc CONTRIBUTING.md MAINTAINERS.md README.md
%{_bindir}/promu

%changelog
* Tue Jul 24 2018 Simon Pasquier <spasquie@redhat.com> - 0-4.git85ceabc
- Do not force static linking

* Wed Jul 18 2018 Florian Weimer <fweimer@redhat.com> - 0-3.git85ceabc
- Do not force static linking

* Wed Jan 10 2018 Yaakov Selkowitz <yselkowi@redhat.com> - 0-2.git85ceabc
- Rebuilt for ppc64le, s390x enablement

* Mon Aug 28 2017 Paul Gier <pgier@redhat.com> - 0-1.20170828151318.git85ceabc
- Initial spec creation
